
import java.util.HashMap;
import javax.naming.NamingException;

public class LDAPInsertData
{
    public LDAPInsertData()
    {
    }

    public static void main(String[] args)
    {
        LDAPManager lm = new LDAPManager();
        String[] objectClass = {"top",
            "person",
            "organizationalPerson",
            "inetOrgPerson"};

        String[] snArray = {"Berry",
            "Blake",
            "Bourque",
            "Drury",
            "Foote",
            "Forsberg",
            "Hejduk",
            "Hinote",
            "Nieminen",
            "Parker",
            "Podein",
            "Roy",
            "Sakic",
            "Tanguay"};

        String[] fnArray = {"Rick",
            "Rob",
            "Ray",
            "Chris",
            "Adam",
            "Peter",
            "Milan",
            "Dan",
            "Ville",
            "Scott",
            "Shjon",
            "Patrick",
            "Joe",
            "Alex"};

        String[] uidArray = {"rberry",
            "rblake",
            "rbourque",
            "cdrury",
            "afoote",
            "pforsberg",
            "mhejduk",
            "dhinote",
            "vnieminen",
            "sparker",
            "spodein",
            "proy",
            "jsakic",
            "atanguay"};

        String[] phoneArray = {"(800) 123-4567",
            "(800) 123-4365",
            "(800) 135-4568",
            "(800) 320-7428",
            "(800) 622-4589",
            "(800) 124-4570",
            "(800) 827-4561",
            "(800) 425-1564",
            "(800) 626-7526",
            "(800) 322-8864",
            "(800) 821-3957",
            "(800) 120-5565",
            "(800) 320-0539",
            "(800) 123-4564"};

        try
        {
            for (int i = 0; i < snArray.length; i++)
            {
                String dn = "uid=" + uidArray[i] + ",ou=People,o=virtuas.com";

                HashMap atts = new HashMap();
                atts.put("cn", fnArray[i] + " " + snArray[i]);
                atts.put("sn", snArray[i]);
                atts.put("givenName", fnArray[i]);
                atts.put("uid", uidArray[i]);
                atts.put("mail", uidArray[i] + "@virtuas.com");
                atts.put("telephoneNumber", phoneArray[i]);

                lm.add(dn, atts, objectClass);
            }
        }
        catch (NamingException e)
        {
            e.printStackTrace();
        }

    }
}