import java.util.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.ServletContext;

import LDAPManager;

public class LDAPDelete implements Service {

    /** Creates new LDAPDelete */
    public LDAPDelete() {
        
    }

    /**
     * Single method to become a service.
     *
     * @throws Exception if any exceptions need to be thrown back
     * to the calling Controller.
    */
    public void execute(HttpServletRequest request,
        HttpServletResponse response,
        ServletContext context) throws Exception {
        
        // Get the dn off of the request
        String dn = request.getParameter("dn");
        
        // create and initialize an LDAPManager
        LDAPManager lm = new LDAPManager();

        // Remove the Person from the Server
        lm.remove(dn);
    }    
}
