import java.util.Collection;
import javax.ejb.EJBHome;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import java.rmi.RemoteException;

public interface QuoteHome extends EJBHome
{
    public Quote create(Integer id) throws RemoteException, CreateException;
    public Quote create(Integer id, String name)
        throws RemoteException, CreateException;

    public Quote findByPrimaryKey(QuotePk pk)
        throws RemoteException, FinderException;
    public Collection findByName(String name)
        throws RemoteException, FinderException;
}
